      SUBROUTINE COMKOM(AY,NC,AT,KS)
      CHARACTER *8 AY(NC),AT
      J=0
   1  J=J+1
      IF(J.GT.NC)GOTO2
      IF(AT.NE.AY(J))GOTO1
      KS=J
      GOTO3
   2  KS=NC+1
   3  RETURN
      END


